<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>net.ihe.gazelle</groupId>
		<artifactId>parent-bom</artifactId>
		<version>0.0.1</version>
	</parent>

	<properties>
		<git.project.url>
			https://${git.user.name}:${git.user.token}@gitlab.inria.fr/gazelle/library/validators/src-gen/cda/cdaepsos-validator-jar.git
		</git.project.url>
	</properties>

	<scm>
		<connection>scm:git:${git.project.url}</connection>
		<developerConnection>scm:git:${git.project.url}</developerConnection>
		<url>https://gitlab.inria.fr/gazelle/library/validators/src-gen/cda/cdaepsos-validator-jar</url>
		<tag>HEAD</tag>
	</scm>

	<groupId>net.ihe.gazelle.cdaepsos</groupId>
	<artifactId>cdaepsos-validator-jar</artifactId>
	<version>1.1.1-SNAPSHOT</version>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<version>2.3</version>
			</plugin>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.5.1</version>
				<configuration>
					<compilerVersion>1.7</compilerVersion>
					<fork>true</fork>
					<source>1.7</source>
					<target>1.7</target>
				</configuration>
			</plugin>

			<plugin>
				<groupId>net.ihe.gazelle</groupId>
				<artifactId>gazelle-generator-jar</artifactId>
				<version>1.0.1</version>
				<executions>
					<execution>
						<goals>
							<goal>genvalidator</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<!--<samplesDescriptors>-->
						<!--<validationDescriptor>-->
							<!--<umlpath>${basedir}/../cdaepsos-model/models/cdaepsos.uml</umlpath>-->
							<!--<outputFolder>${basedir}/src/test/resources/chxcpd</outputFolder>-->
							<!--<propertiesFile>${basedir}/../cdaepsos-model/chain/default.properties</propertiesFile>-->
						<!--</validationDescriptor>-->
					<!--</samplesDescriptors>-->
					<!--<testDescriptors>-->
						<!--<validationDescriptor>-->
							<!--<umlpath>${basedir}/../cdaepsos-model/models/cdaepsos.uml</umlpath>-->
							<!--<outputFolder>${basedir}/src/test/java/net/ihe/gazelle/validator/test/tmp</outputFolder>-->
							<!--<propertiesFile>${basedir}/../cdaepsos-model/chain/default.properties</propertiesFile>-->
						<!--</validationDescriptor>-->
					<!--</testDescriptors>-->
					<validationDescriptors>
						<validationDescriptor>
							<umlpath>${basedir}/../cdaepsos-model/modelad2/cda.uml</umlpath>
							<outputFolder>${basedir}/src/main/java/net/ihe/gazelle/cdaepsos3</outputFolder>
							<propertiesFile>${basedir}/../cdaepsos-model/chain/default.properties</propertiesFile>
						</validationDescriptor>
					</validationDescriptors>
					<!--<documentationDescriptors>-->
						<!--<documentationDescriptor>-->
							<!--<umlpath>${basedir}/../cdaepsos-model/models/cdaepsos.uml</umlpath>-->
							<!--<outputFolder>${basedir}/src/main/doc</outputFolder>-->
							<!--<propertiesFile>${basedir}/../cdaepsos-model/chain/default.properties</propertiesFile>-->
						<!--</documentationDescriptor>-->
					<!--</documentationDescriptors>-->
				</configuration>
			</plugin>

		</plugins>
	</build>
	

	<distributionManagement>
		<repository>
			<id>nexus-releases</id>
			<url>https://gazelle.ihe.net/nexus/content/repositories/releases/</url>
		</repository>
		<snapshotRepository>
			<id>nexus-snapshots</id>
			<url>https://gazelle.ihe.net/nexus/content/repositories/snapshots/</url>
		</snapshotRepository>
	</distributionManagement>
	
	<dependencies>
		<dependency>
			<groupId>tudresden.ocl20.pivot.tools.codegen.ocl2java.types</groupId>
			<artifactId>tudresden-ocl-types</artifactId>
			<version>3.0.0</version>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.common.code</groupId>
			<artifactId>common-code-jar</artifactId>
			<version>2.0.2</version>
			<type>jar</type>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.cda</groupId>
			<artifactId>cda-code-jar</artifactId>
			<version>1.10</version>
			<type>jar</type>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.cdaepsos</groupId>
			<artifactId>cdaepsos-code-jar</artifactId>
			<version>1.2.0</version>
			<type>jar</type>
		</dependency>

		
		<dependency>
			<groupId>net.ihe.gazelle.infr</groupId>
			<artifactId>infr-code-jar</artifactId>
			<version>1.0</version>
			<type>jar</type>
			<scope>provided</scope>
		</dependency>
		
		<dependency>
			<groupId>net.ihe.gazelle.datatypes</groupId>
			<artifactId>datatypes-code-jar</artifactId>
			<version>1.10</version>
			<type>jar</type>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.nblock</groupId>
			<artifactId>nblock-code-jar</artifactId>
			<version>1.1</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.voc</groupId>
			<artifactId>voc-code-jar</artifactId>
			<version>1.1</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.10</version>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.5.6</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<version>1.4.3</version>
			<scope>test</scope>
		</dependency>

	</dependencies>

	<repositories>
		<repository>
			<releases>
				<enabled>true</enabled>
				<updatePolicy>never</updatePolicy>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<id>IHE</id>
			<name>IHE Public Maven Repository Group</name>
			<url>https://gazelle.ihe.net/nexus/content/groups/public</url>
			<layout>default</layout>
		</repository>
	</repositories>
	<pluginRepositories>
		<pluginRepository>
			<id>ihe-services-plugins</id>
			<name>IHE Services Public Maven Repository Group</name>
			<url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
			<layout>default</layout>
			<releases>
				<enabled>true</enabled>
				<updatePolicy>never</updatePolicy>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</pluginRepository>
	</pluginRepositories>
</project>
